=== debian/changelog ===
python-influxdb-client (1.40.0-3) unstable; urgency=medium

  * Removed build-depends on python3-randomize.

 -- Thomas Goirand <zigo@debian.org>  Mon, 06 May 2024 08:38:12 +0200

python-influxdb-client (1.40.0-2) unstable; urgency=medium

  * Replaced (build-)depends of python3-reactivex by python3-rx.

 -- Thomas Goirand <zigo@debian.org>  Thu, 18 Apr 2024 10:20:06 +0200

python-influxdb-client (1.40.0-1) unstable; urgency=medium

  * Initial release. (Closes: #1066087)

 -- Thomas Goirand <zigo@debian.org>  Tue, 12 Mar 2024 13:37:23 +0100
